Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.controls
Class FDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          de.jsystems.framework.controls.FDialog

All Implemented Interfaces:
  Accessible, IActionInterface, IComponent, IContainer, IFocus, IHierarchy, IHierarchyBounds, IInputMethod, IKey, ImageObserver, IMouse, IMouseInput, IMouseMotion, IPropertyChange, IWindow, MenuContainer, RootPaneContainer, Serializable, WindowConstants

Direct Known Subclasses:
  BusinessDialog

public class FDialog
extends JDialog
implements IActionInterface, IPropertyChange, IWindow, IContainer, IComponent, IFocus, IHierarchy, IHierarchyBounds, IInputMethod, IKey, IMouse, IMouseMotion, IMouseInput

Darstellung fuer einen JDialog aus dem SWING-Package. Der JDialog wurde hier erweitert um frameworkspezifische Funktionen. Diese werden benoetigt, damit das Framework ueber die automatische Registrierung mit dem Tree kommunizieren kann.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JDialog
`JDialog.AccessibleJDialog`

Nested classes inherited from class java.awt.Dialog
`Dialog.AccessibleAWTDialog`

Nested classes inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
``

Fields inherited from class java.awt.Window
``

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`FDialog()` Erzeugt einen Dialog.
`FDialog(FDialog owner)` Erzeugt einen Dialog.
`FDialog(FDialog owner, boolean modal)` Erzeugt einen Dialog.
`FDialog(FDialog owner, String title)` Erzeugt einen Dialog.
`FDialog(FDialog owner, String title, boolean modal)` Erzeugt einen Dialog.
`FDialog(FFrame owner)` Erzeugt einen Dialog.
`FDialog(FFrame owner, boolean modal)` Erzeugt einen Dialog.
`FDialog(FFrame owner, String title)` Erzeugt einen Dialog.
`FDialog(FFrame owner, String title, boolean modal)` Erzeugt einen Dialog.

Method Summary
`void` | `addMouseInputListener(MouseInputListener listener)` Der JDialog aus Swing unterstuetzt den MouseInputListener nicht direkt.
`String` | `getActionClassForComponent()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein ComponentEvent ausgeloest wurde.
`String` | `getActionClassForContainer()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein ContainerEvent ausgeloest wurde.
`String` | `getActionClassForFocus()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein FocusEvent ausgeloest wurde.
`String` | `getActionClassForHierarchy()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein HierarchyEvent ausgeloest wurde.
`String` | `getActionClassForHierarchyBounds()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein HierarchyEvent ausgeloest wurde.
`String` | `getActionClassForInputMethod()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein InputMethodEvent ausgeloest wurde.
`String` | `getActionClassForKey()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein KeyEvent ausgeloest wurde.
`String` | `getActionClassForMouse()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein MouseEvent ausgeloest wurde.
`String` | `getActionClassForMouseInput()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein Mouse- oder MouseMotionEvent ausgeloest wurde.
`String` | `getActionClassForMouseMotion()` Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein MouseMotionEvent ausgeloest wurde.
`String` | `getActionClassForPropertyChange()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein PropertyChangeEvent ausgeloest wurde.
`String` | `getActionClassForWindow()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein WindowEvent ausgeloest wurde.
`void` | `removeMouseInputListener(MouseInputListener listener)` Entfernt den als MouseInputListener registrierten MouseListener wieder aus dem Control.
`void` | `setActionClassForComponent(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ComponentEvent ausgeloest wurde.
`void` | `setActionClassForContainer(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ContainerEvent ausgeloest wurde.
`void` | `setActionClassForFocus(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein FocusEvent ausgeloest wurde.
`void` | `setActionClassForHierarchy(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein HierarchyEvent ausgeloest wurde.
`void` | `setActionClassForHierarchyBounds(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein HierarchyEvent ausgeloest wurde.
`void` | `setActionClassForInputMethod(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein InputMethodEvent ausgeloest wurde.
`void` | `setActionClassForKey(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein KeyEvent ausgeloest wurde.
`void` | `setActionClassForMouse(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MouseEvent ausgeloest wurde.
`void` | `setActionClassForMouseInput(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein Mouse- oder MouseMotionEvent ausgeloest wurde.
`void` | `setActionClassForMouseMotion(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MouseMotionEvent ausgeloest wurde.
`void` | `setActionClassForPropertyChange(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein PropertyChangeEvent ausgeloest wurde.
`void` | `setActionClassForWindow(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein WindowEvent ausgeloest wurde.

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.jsystems.framework.common.action.IActionInterface
`isEnabled, setEnabled`

Methods inherited from interface de.jsystems.framework.common.action.beans.IPropertyChange
`addPropertyChangeListener, removePropertyChangeListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IWindow
`addWindowListener, removeWindowListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IContainer
`addContainerListener, removeContainerListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IComponent
`addComponentListener, removeComponentListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IFocus
`addFocusListener, removeFocusListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IHierarchy
`addHierarchyListener, removeHierarchyListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IHierarchyBounds
`addHierarchyBoundsListener, removeHierarchyBoundsListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IInputMethod
`addInputMethodListener, removeInputMethodListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IKey
`addKeyListener, removeKeyListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IMouse
`addMouseListener, removeMouseListener`

Methods inherited from interface de.jsystems.framework.common.action.awt.IMouseMotion
`addMouseMotionListener, removeMouseMotionListener`

Constructor Detail

### FDialog

    public FDialog()

  Erzeugt einen Dialog.

### FDialog

    public FDialog(FFrame owner)

  Erzeugt einen Dialog. Dieser gehoert zum uebergebenen Frame.

Parameters:
  `owner` - Das Frame, dem der Dialog gehoert.

### FDialog

    public FDialog(FFrame owner,
                   boolean modal)

  Erzeugt einen Dialog. Dieser ist Modal zum uebergebenen Frame, wenn der Parameter `modal` TRUE ist.

Parameters:
  `owner` - Das Frame, dem der Dialog gehoert.
  `modal` - TRUE, wenn der Dialog modal zum Frame sein soll.

### FDialog

    public FDialog(FFrame owner,
                   String title)

  Erzeugt einen Dialog. Dieser gehoert zum uebergebenen Frame und hat den uebergebenen Titel.

Parameters:
  `owner` - Das Frame, dem der Dialog gehoert.
  `title` - Der im Dialog anzuzeigende Titel.

### FDialog

    public FDialog(FFrame owner,
                   String title,
                   boolean modal)

  Erzeugt einen Dialog. Dieser gehoert zum uebergebenen Frame und hat den uebergebenen Titel. Der Dialog ist Modal zum uebergebenen Frame, wenn der Parameter `modal` TRUE ist.

Parameters:
  `owner` - Das Frame, dem der Dialog gehoert.
  `title` - Der im Dialog anzuzeigende Titel.
  `modal` - TRUE, wenn der Dialog modal zum Frame sein soll.

### FDialog

    public FDialog(FDialog owner)

  Erzeugt einen Dialog. Dieser gehoert zum uebergebenen Dialog.

Parameters:
  `owner` - Der Dialog, dem der Dialog gehoert.

### FDialog

    public FDialog(FDialog owner,
                   boolean modal)

  Erzeugt einen Dialog. Dieser ist Modal zum uebergebenen Dialog, wenn der Parameter `modal` TRUE ist.

Parameters:
  `owner` - Der Dialog, dem der Dialog gehoert.
  `modal` - TRUE, wenn der Dialog modal zum Dialog sein soll.

### FDialog

    public FDialog(FDialog owner,
                   String title)

  Erzeugt einen Dialog. Dieser gehoert zum uebergebenen Dialog und hat den uebergebenen Titel.

Parameters:
  `owner` - Der Dialog, dem der Dialog gehoert.
  `title` - Der im Dialog anzuzeigende Titel.

### FDialog

    public FDialog(FDialog owner,
                   String title,
                   boolean modal)

  Erzeugt einen Dialog. Dieser gehoert zum uebergebenen Dialog und hat den uebergebenen Titel. Der Dialog ist Modal zum uebergebenen Dialog, wenn der Parameter `modal` TRUE ist.

Parameters:
  `owner` - Der Dialog, dem der Dialog gehoert.
  `title` - Der im Dialog anzuzeigende Titel.
  `modal` - TRUE, wenn der Dialog modal zum Dialog sein soll.

Method Detail

### getActionClassForPropertyChange

    public String getActionClassForPropertyChange()

  Description copied from interface: `IPropertyChange`
  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein PropertyChangeEvent ausgeloest wurde.

  Specified by:
    `getActionClassForPropertyChange` in interface `IPropertyChange`
  Returns:
    Der Name der Actionklasse fuer PropertyChangeEvent.

### setActionClassForPropertyChange

    public void setActionClassForPropertyChange(String actionClassName)

  Description copied from interface: `IPropertyChange`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein PropertyChangeEvent ausgeloest wurde.

  Specified by:
    `setActionClassForPropertyChange` in interface `IPropertyChange`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer PropertyChangeEvent.

### setActionClassForWindow

    public void setActionClassForWindow(String actionClassName)

  Description copied from interface: `IWindow`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein WindowEvent ausgeloest wurde.

  Specified by:
    `setActionClassForWindow` in interface `IWindow`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer WindowEvents.

### getActionClassForWindow

    public String getActionClassForWindow()

  Description copied from interface: `IWindow`
  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein WindowEvent ausgeloest wurde.

  Specified by:
    `getActionClassForWindow` in interface `IWindow`
  Returns:
    Der Name der Actionklasse fuer WindowEvents.

### getActionClassForContainer

    public String getActionClassForContainer()

  Description copied from interface: `IContainer`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein ContainerEvent ausgeloest wurde.

  Specified by:
    `getActionClassForContainer` in interface `IContainer`
  Returns:
    Der Name der Actionklasse fuer ContainerEvents.

### setActionClassForContainer

    public void setActionClassForContainer(String actionClassName)

  Description copied from interface: `IContainer`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ContainerEvent ausgeloest wurde.

  Specified by:
    `setActionClassForContainer` in interface `IContainer`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer ContainerEvents.

### getActionClassForComponent

    public String getActionClassForComponent()

  Description copied from interface: `IComponent`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein ComponentEvent ausgeloest wurde.

  Specified by:
    `getActionClassForComponent` in interface `IComponent`
  Returns:
    Der Name der Actionklasse fuer ComponentEvents.

### setActionClassForComponent

    public void setActionClassForComponent(String actionClassName)

  Description copied from interface: `IComponent`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein ComponentEvent ausgeloest wurde.

  Specified by:
    `setActionClassForComponent` in interface `IComponent`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer ComponentEvents.

### getActionClassForFocus

    public String getActionClassForFocus()

  Description copied from interface: `IFocus`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein FocusEvent ausgeloest wurde.

  Specified by:
    `getActionClassForFocus` in interface `IFocus`
  Returns:
    Der Name der Actionklasse fuer focusEvents.

### setActionClassForFocus

    public void setActionClassForFocus(String actionClassName)

  Description copied from interface: `IFocus`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein FocusEvent ausgeloest wurde.

  Specified by:
    `setActionClassForFocus` in interface `IFocus`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer FocusEvents.

### getActionClassForHierarchy

    public String getActionClassForHierarchy()

  Description copied from interface: `IHierarchy`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein HierarchyEvent ausgeloest wurde.

  Specified by:
    `getActionClassForHierarchy` in interface `IHierarchy`
  Returns:
    Der Name der Actionklasse fuer HierarchyEvent.

### setActionClassForHierarchy

    public void setActionClassForHierarchy(String actionClassName)

  Description copied from interface: `IHierarchy`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein HierarchyEvent ausgeloest wurde.

  Specified by:
    `setActionClassForHierarchy` in interface `IHierarchy`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer HierarchyEvents.

### getActionClassForHierarchyBounds

    public String getActionClassForHierarchyBounds()

  Description copied from interface: `IHierarchyBounds`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein HierarchyEvent ausgeloest wurde.

  Specified by:
    `getActionClassForHierarchyBounds` in interface `IHierarchyBounds`
  Returns:
    Der Name der Actionklasse fuer HierarchyEvent.

### setActionClassForHierarchyBounds

    public void setActionClassForHierarchyBounds(String actionClassName)

  Description copied from interface: `IHierarchyBounds`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein HierarchyEvent ausgeloest wurde.

  Specified by:
    `setActionClassForHierarchyBounds` in interface `IHierarchyBounds`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer HierarchyEvents.

### getActionClassForInputMethod

    public String getActionClassForInputMethod()

  Description copied from interface: `IInputMethod`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein InputMethodEvent ausgeloest wurde.

  Specified by:
    `getActionClassForInputMethod` in interface `IInputMethod`
  Returns:
    Der Name der Actionklasse fuer InputMethodEvent.

### setActionClassForInputMethod

    public void setActionClassForInputMethod(String actionClassName)

  Description copied from interface: `IInputMethod`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein InputMethodEvent ausgeloest wurde.

  Specified by:
    `setActionClassForInputMethod` in interface `IInputMethod`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer InputMethodEvents.

### getActionClassForKey

    public String getActionClassForKey()

  Description copied from interface: `IKey`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein KeyEvent ausgeloest wurde.

  Specified by:
    `getActionClassForKey` in interface `IKey`
  Returns:
    Der Name der Actionklasse fuer KeyEvent.

### setActionClassForKey

    public void setActionClassForKey(String actionClassName)

  Description copied from interface: `IKey`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein KeyEvent ausgeloest wurde.

  Specified by:
    `setActionClassForKey` in interface `IKey`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer KeyEvents.

### getActionClassForMouse

    public String getActionClassForMouse()

  Description copied from interface: `IMouse`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein MouseEvent ausgeloest wurde.

  Specified by:
    `getActionClassForMouse` in interface `IMouse`
  Returns:
    Der Name der Actionklasse fuer MouseEvent.

### setActionClassForMouse

    public void setActionClassForMouse(String actionClassName)

  Description copied from interface: `IMouse`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MouseEvent ausgeloest wurde.

  Specified by:
    `setActionClassForMouse` in interface `IMouse`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer MouseEvents.

### getActionClassForMouseMotion

    public String getActionClassForMouseMotion()

  Description copied from interface: `IMouseMotion`
  Gibt den Namen der Action zurueck, die ausgefuehrt werden soll, wenn ein MouseMotionEvent ausgeloest wurde.

  Specified by:
    `getActionClassForMouseMotion` in interface `IMouseMotion`
  Returns:
    Der Name der Actionklasse fuer MouseMotionEvent.

### setActionClassForMouseMotion

    public void setActionClassForMouseMotion(String actionClassName)

  Description copied from interface: `IMouseMotion`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MouseMotionEvent ausgeloest wurde.

  Specified by:
    `setActionClassForMouseMotion` in interface `IMouseMotion`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer MouseMotionEvents.

### getActionClassForMouseInput

    public String getActionClassForMouseInput()

  Description copied from interface: `IMouseInput`
  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein Mouse- oder MouseMotionEvent ausgeloest wurde.

  Specified by:
    `getActionClassForMouseInput` in interface `IMouseInput`
  Returns:
    Der Name der Actionklasse fuer Mouse- oder MouseMotionEvent.

### setActionClassForMouseInput

    public void setActionClassForMouseInput(String actionClassName)

  Description copied from interface: `IMouseInput`
  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein Mouse- oder MouseMotionEvent ausgeloest wurde.

  Specified by:
    `setActionClassForMouseInput` in interface `IMouseInput`
  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer Mouse- oder MouseMotionEvent.

### addMouseInputListener

    public void addMouseInputListener(MouseInputListener listener)

  Der JDialog aus Swing unterstuetzt den MouseInputListener nicht direkt. Da es sich dabei aber nur um eine Zusammenfassung der Listener MouseListener und MouseMotionListener handelt, wird hier der uebergebene Listener einfach sowohl als Mouse- als auch als MouseMotionListener registriert. Soll der Listener wieder entfernt werden, so ist die Methode `removeMouseInputListener(javax.swing.event.MouseInputListener)` zu benutzen.

  Specified by:
    `addMouseInputListener` in interface `IMouseInput`
  Parameters:
    `listener` - der zu registrierende Listener.

### removeMouseInputListener

    public void removeMouseInputListener(MouseInputListener listener)

  Entfernt den als MouseInputListener registrierten MouseListener wieder aus dem Control.

  Specified by:
    `removeMouseInputListener` in interface `IMouseInput`
  Parameters:
    `listener` - Der zu entfernende Listener.
  See Also:
    `addMouseInputListener(MouseInputListener)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD